package aicg.wipf.keyu.bzsb.ttlt

import aicg.wipf.akas.Pnov
import aicg.wipf.akas.Xhuf
import aicg.wipf.keyu.bzsb.Anxj
import aicg.wipf.keyu.bzsb.Btqq
import aicg.wipf.keyu.bzsb.Dtvk
import aicg.wipf.keyu.bzsb.Dvvd
import aicg.wipf.keyu.bzsb.Hlet
import aicg.wipf.keyu.bzsb.Lemx
import aicg.wipf.keyu.bzsb.Rohw
import aicg.wipf.keyu.bzsb.Vaya
import aicg.wipf.keyu.bzsb.Zuhx
import aicg.wipf.ogbw.ezlb.rgmw.Vxwm.Companion.ID_APP_MANAGER
import aicg.wipf.ogbw.ezlb.rgmw.Vxwm.Companion.ID_CHARGE
import aicg.wipf.ogbw.ezlb.rgmw.Vxwm.Companion.ID_CLEAN_NOTIFICATION
import aicg.wipf.ogbw.ezlb.rgmw.Vxwm.Companion.ID_INSTALL_PACKAGE_PUSH
import aicg.wipf.ogbw.ezlb.rgmw.Vxwm.Companion.ID_JUNK_CLEAN_PUSH
import aicg.wipf.ogbw.ezlb.rgmw.Vxwm.Companion.ID_LARGE_FILE_PUSH
import aicg.wipf.ogbw.ezlb.rgmw.Vxwm.Companion.ID_LOW_BATTERY_PUSH
import aicg.wipf.ogbw.ezlb.rgmw.Vxwm.Companion.ID_NETWORK_TRAFFIC
import aicg.wipf.ogbw.ezlb.rgmw.Vxwm.Companion.ID_PHOTO_COMPRESS
import aicg.wipf.ogbw.ezlb.rgmw.Vxwm.Companion.ID_RECENT_USE_APP
import aicg.wipf.ogbw.ezlb.rgmw.Vxwm.Companion.ID_SIMILAR_IMAGE
import aicg.wipf.ogbw.ezlb.rgmw.Vxwm.Companion.ID_UNINSTALL_PACKAGE_PUSH
import aicg.wipf.vzuj.Kmqp.string
import aicg.wipf.vzuj.Npaq
import aicg.wipf.vzuj.Opze
import android.app.Activity
import android.content.Intent
import android.util.Log
import com.blankj.utilcode.util.SPUtils
import com.test.basd.smartjunkcleaner.R
import tinj.jcdv.wpky.Drjt

object Kbhm {

    fun jumpNextPage(context: Activity) {
        class ލޅއސޙޠޢބ<T>(val ޒއޓރޠދފފ: T, val ހފހޜވޟޣޓ: Int) {
            constructor(ޒއޓރޠދފފ: T) : this(ޒއޓރޠދފފ, 8323) {
                println("ހފހޜވޟޣޓ")
            }
        }
        println(ލޅއސޙޠޢބ("ޒޗޢޔކވސޥ"))
        ޑޅޑޕވފޣދ(context)
    }

    private fun ޑޅޑޕވފޣދ(context: Activity) {

        var jumpType = context.intent.getIntExtra(R.string.ޞށޤސށ_D.string(), 0)

        class ޗޔފމދޠޓޛ<T>(val ޅށށވލހޘފ: T, val ތޜޔޝނދޥތ: Int) {
            constructor(ޞޞޡޝޘވމޏ: T) : this(ޞޞޡޝޘވމޏ, 7312) {
                println("ސޞޑއމމރހ")
            }
        }
        println(ޗޔފމދޠޓޛ("ނޛވތޠޥޜޤ"))
        if (jumpType == 0) {
            val uri = context.intent.data
            class އޖޡޖލސޅލ {
                fun ށޕޑޗޣޛޞޓ() {
                    println("ޙޞޟފވވޜވ")
                }
            }
            އޖޡޖލސޅލ().ށޕޑޗޣޛޞޓ()
            val str = (uri?.getQueryParameter(R.string.ޞށޤސށ_D.string()) ?: "0")
            jumpType = str.toIntOrNull() ?: 0
            fun ޛގޙޖޡޟޓޅ(ޤޡޟހވއޏހ: Int, ލވޔރނޔތދ: Int): Int {
                fun ނކޘހޠޗޒޚ(ވގޞޢޡޘދޠ: Int, ޥޛކޗޅޛކލ: Int): Int {
                    return ވގޞޢޡޘދޠ + ޥޛކޗޅޛކލ
                }
                return ނކޘހޠޗޒޚ(ޤޡޟހވއޏހ, ލވޔރނޔތދ)
            }
            val ހހޓހހދޏއ = ޛގޙޖޡޟޓޅ(5103, 806)
            println(ހހޓހހދޏއ)
            if (jumpType != 0) {
                Opze.event(R.string.ޝމހޢޤ_D.string(), R.string.ޟޖޤޏހ_D.string((jumpType).toString()))
            }
        }
        when (jumpType) {

            ID_JUNK_CLEAN_PUSH -> {
                context.startActivity(Intent(context, Btqq::class.java))
            }

            ID_LARGE_FILE_PUSH -> {
                context.startActivity(Intent(context, Dtvk::class.java))
            }

            ID_PHOTO_COMPRESS -> {
                class އނއޓޅޛޥނ<T, K>(val ހނޓޗޘތނޥ: T, val ބޕޏދގޚހޒ: K) {
                    init {
                        println("ބޙފޑގޚޕލ")
                    }
                }
                val ށޥނޢޜދޚޔ = އނއޓޅޛޥނ("ދލޡޢޛޓމޙ", 924)
                println(ށޥނޢޜދޚޔ)
                context.startActivity(Intent(context, Drjt::class.java))
            }

            ID_APP_MANAGER -> {
                context.startActivity(Intent(context, Hlet::class.java))
            }

            ID_NETWORK_TRAFFIC -> {
                Log.d("ޑފނޕދޖދކ", "ޑފނޕދޖދކ")
                context.startActivity(Intent(context, Rohw::class.java))
            }

            ID_CLEAN_NOTIFICATION -> {
                if (SPUtils.getInstance().getBoolean(R.string.އޗގއގ_D.string(), false)) {
                    context.startActivity(Intent(context, Pnov::class.java))
                } else {
                    context.startActivity(Intent(context, Xhuf::class.java))
                }
            }

            ID_RECENT_USE_APP -> {
                context.startActivity(Intent(context, Anxj::class.java))
            }

            ID_SIMILAR_IMAGE -> {
                context.startActivity(Intent(context, Zuhx::class.java))
            }

            ID_INSTALL_PACKAGE_PUSH -> {
                context.startActivity(Intent(context, Btqq::class.java))
            }

            ID_UNINSTALL_PACKAGE_PUSH -> {
                abstract class ޟޖމފޠފޣޠ {
                    abstract fun ޅޅޘކޗޛޟމ()
                }
                class ވޚށއހޢމޗ : ޟޖމފޠފޣޠ() {
                    override fun ޅޅޘކޗޛޟމ() {
                        println("ސޛޒޢޘޖޝޜ")
                    }
                }
                val ކގޔޛއހގޣ = ވޚށއހޢމޗ()
                ކގޔޛއހގޣ.ޅޅޘކޗޛޟމ()
                context.startActivity(Intent(context, Btqq::class.java))
            }

            ID_CHARGE -> {
                context.startActivity(Intent(context, Lemx::class.java))
            }

            ID_LOW_BATTERY_PUSH -> {
                context.startActivity(Intent(context, Lemx::class.java))
            }

            else -> {
                class ރސރޓޤޥޝބ {
                    fun ޢޅތޓޏރޘޟ() {
                        println("ޙވޝއޝޔޠއ")
                    }
                }
                ރސރޓޤޥޝބ().ޢޅތޓޏރޘޟ()
                val isHotLaunch = context.intent?.extras?.getBoolean(R.string.ނޣރމޝ_D.string(), false) ?: false
                if (!isHotLaunch) {
                    if (!Npaq.ifGuest) {
                        context.startActivity(Intent(context, Dvvd::class.java))
                    } else {
                        context.startActivity(Intent(context, Vaya::class.java))
                    }

                }
            }
        }
        class ޚސޘޑނޑޟޢ(val ޢޟޖޢވޙޡދ: String, val ޛޓފޟޖރށޚ: Int)
        println(ޚސޘޑނޑޟޢ("ރޗފޕޓސބޅ", 2054))
        context.finish()
    }
}